package main

import (
	"context"
	log "github.com/sirupsen/logrus"
	"time"
)

func cleanup(restart bool) {
	var err error

	// Set restart
	d = true
	r = restart

	// Close store
	instance.Close()

	// Shutdown web server
	ctx, cancel := context.WithTimeout(context.Background(), time.Second)
	defer cancel()
	err = server.Shutdown(ctx)
	if err != nil {
		log.Errorf("Error while shutting down web server, %s", err)
	}
}
